:orphan:


Welcome to Kivy
===============

Welcome to Kivy's documentation. Kivy is an open source software library for the
rapid development of applications equipped with novel user interfaces, such as
multi-touch apps.

We recommend that you get started with :doc:`/gettingstarted/index`. Then head
over to the :ref:`guide-index`. We also have :ref:`quickstart` if you are
impatient.

You are probably wondering why you should be interested in using Kivy. There is
a document outlining our :ref:`philosophy` that we encourage you to read, and a
detailed :ref:`architecture`.

If you want to contribute to Kivy, make sure to read `our latest Contribution
Guide <https://github.com/kivy/kivy/blob/master/CONTRIBUTING.md>`_. If
your concern isn't addressed in the documentation, feel free to
`contact us <https://github.com/kivy/kivy/blob/master/CONTACT.md>`_.

.. include:: contents.rst.inc

Appendix
========

The appendix contains licensing information and an enumeration of all the
different modules, classes, functions and variables available in Kivy.

License
-------

Kivy is released and distributed under the terms of the MIT license starting
version 1.7.2. Older versions are still under the LGPLv3.

You should have received a copy of the MIT license alongside your Kivy
distribution. Our `latest license <https://github.com/kivy/kivy/blob/master/LICENSE>`_
is also available.

In a nutshell, the license allows you to use Kivy in your own projects
regardless of whether they are open source, closed source, commercial or free.
Even if the license doesn't require it, we would really appreciate when you
make changes to the Kivy sourcecode **itself**, share those changes with us!

For a list of authors, please see the file ``AUTHORS`` that accompanies the
Kivy source code distribution (next to ``LICENSE``).


Kivy -- Copyright 2010-2024, The Kivy Authors.
